Name:        hasklig-nerd-fonts
Version:     3.3.0
Release:     %autorelease
Summary:     Iconic font aggregator, collection, & patcher.

BuildArch:   noarch
License:     OFL-1.1
URL:         https://github.com/ryanoasis/nerd-fonts
Source0:     %{url}/releases/download/v%{version}/Hasklig.tar.xz

%description
Nerd Fonts is a project that patches developer targeted fonts with a high
number of glyphs (icons). Specifically to add a high number of extra glyphs
from popular 'iconic fonts' such as Font Awesome, Devicons, Octicons, and
others.

%prep
%autosetup -c

%build
# Nothing to do here

%install

install -Dm644 HasklugNerdFont-BlackItalic.otf %{buildroot}%{_datadir}/fonts/%{name}/HasklugNerdFont-BlackItalic.otf
install -Dm644 HasklugNerdFontMono-BlackItalic.otf %{buildroot}%{_datadir}/fonts/%{name}/HasklugNerdFontMono-BlackItalic.otf
install -Dm644 HasklugNerdFontPropo-BlackItalic.otf %{buildroot}%{_datadir}/fonts/%{name}/HasklugNerdFontPropo-BlackItalic.otf
install -Dm644 HasklugNerdFont-Black.otf %{buildroot}%{_datadir}/fonts/%{name}/HasklugNerdFont-Black.otf
install -Dm644 HasklugNerdFontMono-Black.otf %{buildroot}%{_datadir}/fonts/%{name}/HasklugNerdFontMono-Black.otf
install -Dm644 HasklugNerdFontPropo-Black.otf %{buildroot}%{_datadir}/fonts/%{name}/HasklugNerdFontPropo-Black.otf
install -Dm644 HasklugNerdFont-BoldItalic.otf %{buildroot}%{_datadir}/fonts/%{name}/HasklugNerdFont-BoldItalic.otf
install -Dm644 HasklugNerdFontMono-BoldItalic.otf %{buildroot}%{_datadir}/fonts/%{name}/HasklugNerdFontMono-BoldItalic.otf
install -Dm644 HasklugNerdFontPropo-BoldItalic.otf %{buildroot}%{_datadir}/fonts/%{name}/HasklugNerdFontPropo-BoldItalic.otf
install -Dm644 HasklugNerdFont-Bold.otf %{buildroot}%{_datadir}/fonts/%{name}/HasklugNerdFont-Bold.otf
install -Dm644 HasklugNerdFontMono-Bold.otf %{buildroot}%{_datadir}/fonts/%{name}/HasklugNerdFontMono-Bold.otf
install -Dm644 HasklugNerdFontPropo-Bold.otf %{buildroot}%{_datadir}/fonts/%{name}/HasklugNerdFontPropo-Bold.otf
install -Dm644 HasklugNerdFont-ExtraLightItalic.otf %{buildroot}%{_datadir}/fonts/%{name}/HasklugNerdFont-ExtraLightItalic.otf
install -Dm644 HasklugNerdFontMono-ExtraLightItalic.otf %{buildroot}%{_datadir}/fonts/%{name}/HasklugNerdFontMono-ExtraLightItalic.otf
install -Dm644 HasklugNerdFontPropo-ExtraLightItalic.otf %{buildroot}%{_datadir}/fonts/%{name}/HasklugNerdFontPropo-ExtraLightItalic.otf
install -Dm644 HasklugNerdFont-ExtraLight.otf %{buildroot}%{_datadir}/fonts/%{name}/HasklugNerdFont-ExtraLight.otf
install -Dm644 HasklugNerdFontMono-ExtraLight.otf %{buildroot}%{_datadir}/fonts/%{name}/HasklugNerdFontMono-ExtraLight.otf
install -Dm644 HasklugNerdFontPropo-ExtraLight.otf %{buildroot}%{_datadir}/fonts/%{name}/HasklugNerdFontPropo-ExtraLight.otf
install -Dm644 HasklugNerdFont-Italic.otf %{buildroot}%{_datadir}/fonts/%{name}/HasklugNerdFont-Italic.otf
install -Dm644 HasklugNerdFontMono-Italic.otf %{buildroot}%{_datadir}/fonts/%{name}/HasklugNerdFontMono-Italic.otf
install -Dm644 HasklugNerdFontPropo-Italic.otf %{buildroot}%{_datadir}/fonts/%{name}/HasklugNerdFontPropo-Italic.otf
install -Dm644 HasklugNerdFont-LightItalic.otf %{buildroot}%{_datadir}/fonts/%{name}/HasklugNerdFont-LightItalic.otf
install -Dm644 HasklugNerdFontMono-LightItalic.otf %{buildroot}%{_datadir}/fonts/%{name}/HasklugNerdFontMono-LightItalic.otf
install -Dm644 HasklugNerdFontPropo-LightItalic.otf %{buildroot}%{_datadir}/fonts/%{name}/HasklugNerdFontPropo-LightItalic.otf
install -Dm644 HasklugNerdFont-Light.otf %{buildroot}%{_datadir}/fonts/%{name}/HasklugNerdFont-Light.otf
install -Dm644 HasklugNerdFontMono-Light.otf %{buildroot}%{_datadir}/fonts/%{name}/HasklugNerdFontMono-Light.otf
install -Dm644 HasklugNerdFontPropo-Light.otf %{buildroot}%{_datadir}/fonts/%{name}/HasklugNerdFontPropo-Light.otf
install -Dm644 HasklugNerdFont-MediumItalic.otf %{buildroot}%{_datadir}/fonts/%{name}/HasklugNerdFont-MediumItalic.otf
install -Dm644 HasklugNerdFontMono-MediumItalic.otf %{buildroot}%{_datadir}/fonts/%{name}/HasklugNerdFontMono-MediumItalic.otf
install -Dm644 HasklugNerdFontPropo-MediumItalic.otf %{buildroot}%{_datadir}/fonts/%{name}/HasklugNerdFontPropo-MediumItalic.otf
install -Dm644 HasklugNerdFont-Medium.otf %{buildroot}%{_datadir}/fonts/%{name}/HasklugNerdFont-Medium.otf
install -Dm644 HasklugNerdFontMono-Medium.otf %{buildroot}%{_datadir}/fonts/%{name}/HasklugNerdFontMono-Medium.otf
install -Dm644 HasklugNerdFontPropo-Medium.otf %{buildroot}%{_datadir}/fonts/%{name}/HasklugNerdFontPropo-Medium.otf
install -Dm644 HasklugNerdFont-Regular.otf %{buildroot}%{_datadir}/fonts/%{name}/HasklugNerdFont-Regular.otf
install -Dm644 HasklugNerdFontMono-Regular.otf %{buildroot}%{_datadir}/fonts/%{name}/HasklugNerdFontMono-Regular.otf
install -Dm644 HasklugNerdFontPropo-Regular.otf %{buildroot}%{_datadir}/fonts/%{name}/HasklugNerdFontPropo-Regular.otf
install -Dm644 HasklugNerdFont-SemiBoldItalic.otf %{buildroot}%{_datadir}/fonts/%{name}/HasklugNerdFont-SemiBoldItalic.otf
install -Dm644 HasklugNerdFontMono-SemiBoldItalic.otf %{buildroot}%{_datadir}/fonts/%{name}/HasklugNerdFontMono-SemiBoldItalic.otf
install -Dm644 HasklugNerdFontPropo-SemiBoldItalic.otf %{buildroot}%{_datadir}/fonts/%{name}/HasklugNerdFontPropo-SemiBoldItalic.otf
install -Dm644 HasklugNerdFont-SemiBold.otf %{buildroot}%{_datadir}/fonts/%{name}/HasklugNerdFont-SemiBold.otf
install -Dm644 HasklugNerdFontMono-SemiBold.otf %{buildroot}%{_datadir}/fonts/%{name}/HasklugNerdFontMono-SemiBold.otf
install -Dm644 HasklugNerdFontPropo-SemiBold.otf %{buildroot}%{_datadir}/fonts/%{name}/HasklugNerdFontPropo-SemiBold.otf

%files

%{_datadir}/fonts/%{name}/HasklugNerdFont-BlackItalic.otf
%{_datadir}/fonts/%{name}/HasklugNerdFontMono-BlackItalic.otf
%{_datadir}/fonts/%{name}/HasklugNerdFontPropo-BlackItalic.otf
%{_datadir}/fonts/%{name}/HasklugNerdFont-Black.otf
%{_datadir}/fonts/%{name}/HasklugNerdFontMono-Black.otf
%{_datadir}/fonts/%{name}/HasklugNerdFontPropo-Black.otf
%{_datadir}/fonts/%{name}/HasklugNerdFont-BoldItalic.otf
%{_datadir}/fonts/%{name}/HasklugNerdFontMono-BoldItalic.otf
%{_datadir}/fonts/%{name}/HasklugNerdFontPropo-BoldItalic.otf
%{_datadir}/fonts/%{name}/HasklugNerdFont-Bold.otf
%{_datadir}/fonts/%{name}/HasklugNerdFontMono-Bold.otf
%{_datadir}/fonts/%{name}/HasklugNerdFontPropo-Bold.otf
%{_datadir}/fonts/%{name}/HasklugNerdFont-ExtraLightItalic.otf
%{_datadir}/fonts/%{name}/HasklugNerdFontMono-ExtraLightItalic.otf
%{_datadir}/fonts/%{name}/HasklugNerdFontPropo-ExtraLightItalic.otf
%{_datadir}/fonts/%{name}/HasklugNerdFont-ExtraLight.otf
%{_datadir}/fonts/%{name}/HasklugNerdFontMono-ExtraLight.otf
%{_datadir}/fonts/%{name}/HasklugNerdFontPropo-ExtraLight.otf
%{_datadir}/fonts/%{name}/HasklugNerdFont-Italic.otf
%{_datadir}/fonts/%{name}/HasklugNerdFontMono-Italic.otf
%{_datadir}/fonts/%{name}/HasklugNerdFontPropo-Italic.otf
%{_datadir}/fonts/%{name}/HasklugNerdFont-LightItalic.otf
%{_datadir}/fonts/%{name}/HasklugNerdFontMono-LightItalic.otf
%{_datadir}/fonts/%{name}/HasklugNerdFontPropo-LightItalic.otf
%{_datadir}/fonts/%{name}/HasklugNerdFont-Light.otf
%{_datadir}/fonts/%{name}/HasklugNerdFontMono-Light.otf
%{_datadir}/fonts/%{name}/HasklugNerdFontPropo-Light.otf
%{_datadir}/fonts/%{name}/HasklugNerdFont-MediumItalic.otf
%{_datadir}/fonts/%{name}/HasklugNerdFontMono-MediumItalic.otf
%{_datadir}/fonts/%{name}/HasklugNerdFontPropo-MediumItalic.otf
%{_datadir}/fonts/%{name}/HasklugNerdFont-Medium.otf
%{_datadir}/fonts/%{name}/HasklugNerdFontMono-Medium.otf
%{_datadir}/fonts/%{name}/HasklugNerdFontPropo-Medium.otf
%{_datadir}/fonts/%{name}/HasklugNerdFont-Regular.otf
%{_datadir}/fonts/%{name}/HasklugNerdFontMono-Regular.otf
%{_datadir}/fonts/%{name}/HasklugNerdFontPropo-Regular.otf
%{_datadir}/fonts/%{name}/HasklugNerdFont-SemiBoldItalic.otf
%{_datadir}/fonts/%{name}/HasklugNerdFontMono-SemiBoldItalic.otf
%{_datadir}/fonts/%{name}/HasklugNerdFontPropo-SemiBoldItalic.otf
%{_datadir}/fonts/%{name}/HasklugNerdFont-SemiBold.otf
%{_datadir}/fonts/%{name}/HasklugNerdFontMono-SemiBold.otf
%{_datadir}/fonts/%{name}/HasklugNerdFontPropo-SemiBold.otf
%license "LICENSE.md"
%doc "README.md"

%changelog
* Sun Dec 01 2024 Kyle Bloom <kylejbloom@gmail.com> - 3.3.0-1
- Updated to version v3.3.0

* Sat Jul 20 2024 Kyle Bloom <kylejbloom@gmail.com> - 3.2.1-1
- Updated to version v3.2.1
